<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\Esb\Helper;
use \Magento\Framework\App\Helper\AbstractHelper;

/**
 * Generic Helper
 */
class Data extends AbstractHelper
{
    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */    
    protected $_scopeConfig;

	/**
     * @var \Psr\Log\LoggerInterface $logger
     */  
	protected $_logger;

    /**
     * Constructor
     *
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig 
     * @param \Psr\Log\LoggerInterface $logger       
     */
	public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Psr\Log\LoggerInterface $logger
	){
        $this->_scopeConfig = $scopeConfig;
        $this->_logger = $logger;
	}

    /**
     * Format endpoint url by replacing base_url tokens. 
     *
     * @param array $data
     * @return string
     */
    public function getEndpointUrl($url)
    {
        $endpoint_base_url=$this->_scopeConfig->getValue(
            'esb/endpoints/endpoint_base_url'            
        );
        return preg_replace("/\{\{endpoint_base_url\}\}/", $endpoint_base_url, $url);
    }

    /**
     * Format endpoint url by replacing base_url tokens. 
     *
     * @param \Magento\Sales\Api\Data\OrderInterface
     * @return boolean
     */
    public function isTestOrder(
        \Magento\Sales\Api\Data\OrderInterface $order
    )
    {
        if(preg_match("/.*filoblu.com\$/", $order->getCustomerEmail())){
            $this->_logger->addInfo("TEST ORDER FOUND: ".$order->getIncrementId().". Email: ".$order->getCustomerEmail());
            return true;
        }else{
            return false;
        }
    }
}
